//
// Multi-Select
// ------------------------------
@import './../../variables';

// Base
.Select--multi {

  .Select-control {
    min-height: $input-height;
    height: auto !important;
  }
  .Select-multi-value-wrapper {
    flex-wrap: wrap;
    width: 379px;
  }
	// add margin to the input element
	.Select-input {
		vertical-align: middle;
		// border: 1px solid transparent;
		margin-left: $select-padding-horizontal;
		padding: 0;
    display: none !important;
	}

	// reduce margin once there is value
	&.has-value .Select-input {
		margin-left: $select-item-gutter;
	}

	// Items
	.Select-value {
    background-color: $select-tag-background;
    border-radius: $select-tag-border-radius;
    border: 1px solid $select-tag-border;
    display: flex;
    align-items: center;
    height: $select-tag-height;
    padding: $select-tag-padding;
    //margin-right: $select-tag-margin-right;

		color: $select-tag-color;
		font-size: $default-font-size-plus-1;
    margin: 2px 2px;
		//margin-left: $select-item-gutter;
		//margin-top: $select-item-gutter;
		//vertical-align: top;
	}

	// common
	.Select-value-icon,
	.Select-value-label {
    padding: $select-tag-label-padding;
    white-space: nowrap;
	}

	// label
	.Select-value-label {
		@include border-right-radius( $select-item-border-radius );
		cursor: default;
		padding: $select-item-padding-vertical $select-item-padding-horizontal;
	}
	a.Select-value-label {
		color: $select-item-color;
		cursor: pointer;
		text-decoration: none;

		&:hover {
			text-decoration: underline;
		}
	}

	// icon
	.Select-value-icon {
    color: $select-tag-background;
    background-color: $select-tag-icon-background;
    cursor: pointer;
    border-radius: $select-tag-icon-border-radius;
    height: $select-tag-icon-size;
    width: $select-tag-icon-size;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: $default-font-size;
    transition: all 250ms ease-out;

		&:hover,
		&:focus {
			background-color: darken($select-tag-icon-background, 10%);
			//color: $select-item-hover-color;
		}
		&:active {
			//background-color: $select-item-border-color;
		}
	}

}

.Select--multi.is-disabled {
	.Select-value {
		background-color: $select-item-disabled-bg;
		border: 1px solid $select-item-disabled-border-color;
		color: $select-item-disabled-color;
	}
	// icon
	.Select-value-icon {
		cursor: not-allowed;
		border-right: 1px solid $select-item-disabled-border-color;

		&:hover,
		&:focus,
		&:active {
			background-color: $select-item-disabled-bg;
		}
	}
}
